# Interface CloudMembershipServiceMBean

All Known Implementing Classes:
  `CloudMembershipService`

public interface CloudMembershipServiceMBean
MBean interface for the CloudMembershipService.

## Method Summary

Modifier and Type
Method
Description
`Member`
`findMemberByName(String name)`
Finds a member by name.
`int`
`getConnectTimeout()`
Returns the connection timeout in milliseconds.
`long`
`getExpirationTime()`
Returns the member expiration time in milliseconds.
`String[]`
`getMembersByName()`
Returns the names of all members in the cluster.
`Properties`
`getProperties()`
Returns the properties for this service.
`int`
`getReadTimeout()`
Returns the read timeout in milliseconds.
`boolean`
`hasMembers()`
Returns whether there are members in the cluster.

## Method Details

### getConnectTimeout

int getConnectTimeout()
Returns the connection timeout in milliseconds.

Returns:
  the connection timeout

### getReadTimeout

int getReadTimeout()
Returns the read timeout in milliseconds.

Returns:
  the read timeout

### getExpirationTime

long getExpirationTime()
Returns the member expiration time in milliseconds.

Returns:
  the expiration time

### getProperties

Properties getProperties()
Returns the properties for this service.

Returns:
  the properties

### hasMembers

boolean hasMembers()
Returns whether there are members in the cluster.

Returns:
  `true` if there are members

### getMembersByName

String[] getMembersByName()
Returns the names of all members in the cluster.

Returns:
  the member names

### findMemberByName

Member findMemberByName(String name)
Finds a member by name.

Parameters:
  `name` - the member name
Returns:
  the member, or `null` if not found